Package org.eclipse.m2m.atl.emftvm.util

# Enum Class NativeTypes.NativeType

java.lang.Object
java.lang.Enum<NativeTypes.NativeType>
org.eclipse.m2m.atl.emftvm.util.NativeTypes.NativeType

All Implemented Interfaces:
  `Serializable`, `Comparable<NativeTypes.NativeType>`, `Constable`

Enclosing class:
  `NativeTypes`

public static enum NativeTypes.NativeType extends Enum<NativeTypes.NativeType>
Enumeration of registered native types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAG`
`BOOLEAN`
`COLLECTION`
`INTEGER`
`MAP`
`OBJECT`
`ORDERED_SET`
`REAL`
`SEQUENCE`
`SET`
`STRING`
`TUPLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name.
`Class<?>`
`getType()`
Returns the type.
`static NativeTypes.NativeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NativeTypes.NativeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OBJECT

public static final NativeTypes.NativeType OBJECT

### COLLECTION

public static final NativeTypes.NativeType COLLECTION

### BAG

public static final NativeTypes.NativeType BAG

### SEQUENCE

public static final NativeTypes.NativeType SEQUENCE

### SET

public static final NativeTypes.NativeType SET

### ORDERED_SET

public static final NativeTypes.NativeType ORDERED_SET

### MAP

public static final NativeTypes.NativeType MAP

### TUPLE

public static final NativeTypes.NativeType TUPLE

### BOOLEAN

public static final NativeTypes.NativeType BOOLEAN

### INTEGER

public static final NativeTypes.NativeType INTEGER

### REAL

public static final NativeTypes.NativeType REAL

### STRING

public static final NativeTypes.NativeType STRING

## Method Details

### values

public static NativeTypes.NativeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NativeTypes.NativeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Returns the name.

Returns:
  the name

### getType

public Class<?> getType()
Returns the type.

Returns:
  the type